%define _basename qcg-ntf-nagios-probe
%define _parentname qcg-ntf
%define _sourcedir %{_topdir}/SOURCES/%{_parentname}

%{!?default_package_ext: %define default_package_ext tar.gz}

Summary:	nagios probes for qcg-ntf
Summary(pl.UTF-8):	proby nagiosa dla qcg-ntf
Name:		%{_basename}
Version:	4.0.0
Release:	1
License:	Apache v2.0
Group:		Tools
Source0:	%{name}-%{version}.%{default_package_ext}
URL:		http://www.qoscosgrid.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch
Requires:	qcg-ntf-client >= 2.6.4
Obsoletes:	nagios-plugins-qcg-ntf	

%define         _prefix         /usr/libexec/grid-monitoring/probes/org.qoscosgrid/notification

%description
Nagios probes for QCG Notification service.

%description -l pl.UTF-8
Proby Nagiosa dla uslugi QCG Notification.

%prep
%setup -T -b 0

%build

%install
#rm -rf $RPM_BUILD_ROOT
#mkdir $RPM_BUILD_ROOT

cd ../%{name}-%{version}
sh install.sh $RPM_BUILD_ROOT/%{_prefix} /usr /usr
sed -i -e 's|PLUGIN_HOME=.*$|'PLUGIN_HOME=%{_prefix}'|' \
     $RPM_BUILD_ROOT/%{_prefix}/check_qcg_ntf

%post

%preun
%postun
%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_prefix}/README
%{_prefix}/check_qcg_ntf
%{_prefix}/qcg-ntf-client-conf.xml.in

%changelog
* Tue Jul 16 2013 Bartosz Bosak <bbosak@man.poznan.pl> 3.0.0-4
- Improved SPEC file: added changelog
